sim.i  = 2
d = 0.5 
p = 8
sim = 12
load(paste("sim data\\sim_", sim.i, "\\sim data ", sim, ".Rdata", sep=""))


bsm.ben.ci = bsm.ben.sn = resid.ben = NULL
for (lambda2 in seq(10,100,by=10)) {

	result.ben = GS(scale(rbind(x.train, x.validation)),
	c(y.train, y.validation) - mean(c(y.train,y.validation)),
	lambda1=1.5,lambda2=lambda2 )

	y.test.bar = y.test - mean(y.test)
	x.test.bar = scale(x.test)
	resid.ben = c(resid.ben, mean((y.test.bar - x.test.bar %*% apply(result.ben$beta, 2, median))^2))

	intervals = NULL
	for (ii in 1:p) {
		intervals = rbind(intervals, quantile(result.ben$beta[,ii], probs = c(d/2, 1-d/2)))
	}
	bsm.ben.ci = rbind(bsm.ben.ci, (intervals[,1] < 0 & intervals[,2] > 0))

	intervals = NULL
	for (ii in 1:p) {
		intervals = rbind(intervals, c(-1,1) * sqrt(var(result.ben$beta[,ii])))
	}
	interval.prob = NULL
	for (ii in 1:p) {
		temp = ecdf(result.ben$beta[,ii])
		interval.prob = c(interval.prob, temp(intervals[ii,2]) - temp(intervals[ii,1]))
	}
	bsm.ben.sn = rbind(bsm.ben.sn, (interval.prob > d))
}

save(bsm.ben.ci, bsm.ben.sn, resid.ben, file=paste(sim.i,",",sim,".Rdata",sep=""))



