
#--------------------------------------------------------------------------------------------------
#
#	1. Diabetes data
#
#--------------------------------------------------------------------------------------------------

	data(diabetes)
	x = diabetes$x
	y = diabetes$y

	lambda.ini = GSIN(scale(x),y-mean(y))
	result.ben = GSL(x,y,lambda1=lambda.ini$lambda1,lambda2=lambda.ini$lambda2)


	beta = result.ben$beta
	par(mfrow = c(3,2))
	plot(beta[,1], type = "l")
	plot(beta[,2], type = "l")
	plot(beta[,4], type = "l")
	plot(beta[,5], type = "l")
	plot(beta[,7], type = "l")
	plot(beta[,10], type = "l")


#--------------------------------------------------------------------------------------------------
#
#	2. Prostate cancer data
#
#--------------------------------------------------------------------------------------------------


	data(Prostate)
	x = as.matrix(Prostate[,-9])
	y = Prostate[,9]
	x.train = x[1:67,]
	x.test = x[-(1:67),]
	y.train = y[1:67]
	y.test = y[-(1:67)]


	lambda1 = 1.139830 
	lambda2 = 6.821761	
	result.ben = GS(x,y,lambda1,lambda2, n.burnin=10000, n.sampler=20000)

	beta = result.ben$beta
	par(mfrow = c(3,2))
	plot(beta[,1], type = "l")
	plot(beta[,2], type = "l")
	plot(beta[,4], type = "l")
	plot(beta[,5], type = "l")
	plot(beta[,7], type = "l")
	plot(beta[,8], type = "l")


1. diagnosis about qr simulation
2. diagnosis for qr bh data
3. about Kyung 10 paper
4. diagnosis for diabetes data
5. diagnosis for prostate cancer data
6. brdge paper
7. bayesian variable selection

